-- Automatyczna zmiana profilu grupy w zależności od jej wielkości

local f = CreateFrame("Frame");
f:RegisterEvent("GROUP_ROSTER_UPDATE");
f:SetScript("OnEvent",
  function()
    local membersInGroup = GetNumGroupMembers();
    if ( membersInGroup > 5 ) then
      CompactUnitFrameProfiles_ActivateRaidProfile("Raid");
	  print('Profil Grupy Ustawiony na RAID');
    else
      CompactUnitFrameProfiles_ActivateRaidProfile("Party");
	  print('Profil Grupy Ustawiony na PARTY');
    end
  end
);

-- Usuwanie combat textu na ikonie

PlayerHitIndicator:SetText(nil)
PlayerHitIndicator.SetText = function() end

PetHitIndicator:SetText(nil)
PetHitIndicator.SetText = function() end

-- Zamiana ikony z portretu na klasę

hooksecurefunc("UnitFramePortrait_Update",function(self)
    if self.portrait then
        if UnitIsPlayer(self.unit) then                
            local t = CLASS_ICON_TCOORDS[select(2, UnitClass(self.unit))]
            if t then
                self.portrait:SetTexture("Interface\\TargetingFrame\\UI-Classes-Circles")
                self.portrait:SetTexCoord(unpack(t))
            end
        else
            self.portrait:SetTexCoord(0,1,0,1)
        end
    end
end)

-- Ukrywanie textu hp/mana dla peta poza mouseover

local function alphaText(self,alpha)
  local stub = (self:GetName() or ""):match("(.-Frame)")
  if stub then
    _G[stub.."HealthBar"].TextString:SetAlpha(alpha)
    _G[stub.."ManaBar"].TextString:SetAlpha(alpha)
  end
end
local function showText(self)
  alphaText(self,1)
end
local function hideText(self)
  alphaText(self,0)
end
local function hookFrame(frameName)
  _G[frameName]:HookScript("OnEnter",showText)
  _G[frameName]:HookScript("OnLeave",hideText)
  _G[frameName.."HealthBar"]:HookScript("OnEnter",showText)
  _G[frameName.."HealthBar"]:HookScript("OnLeave",hideText)
  _G[frameName.."ManaBar"]:HookScript("OnEnter",showText)
  _G[frameName.."ManaBar"]:HookScript("OnLeave",hideText)
  hideText(_G[frameName])
end
hookFrame("PetFrame")

-- Usuwanie castbaru naszego celu

SetCVar("showTargetCastbar", 0)

-- Zmiana zasiegu NamePlates w zależości od bycia w instancji lub w otwartym swiecie

local f = CreateFrame("Frame");
f:RegisterEvent("PLAYER_ENTERING_WORLD");
f:SetScript("OnEvent",
  function()
	local inInstance, instanceType = IsInInstance();
    if instanceType == "none" then
      SetCVar("nameplateMaxDistance", 100);
	  print('Dystans Renderowania NamePlates Ustawiony Na 100 yardow (Otwarty Swiat)');
    else
      SetCVar("nameplateMaxDistance", 45);
	  print('Dystans Renderowania NamePlates Ustawiony Na 45 yardow (Instancja)');
    end
  end
);